### Method

# Pango GlyphString index_to_x_full

since: 1.50

#### Declaration [src]

    void
    pango_glyph_string_index_to_x_full (
      PangoGlyphString* glyphs,
      const char* text,
      int length,
      PangoAnalysis* analysis,
      PangoLogAttr* attrs,
      int index_,
      gboolean trailing,
      int* x_pos
    )

#### Description [src]

Converts from character position to x position.

This variant of `pango_glyph_string_index_to_x()` additionally accepts a `PangoLogAttr` array. The grapheme boundary information in it can be used to disambiguate positioning inside some complex clusters.

Available since: 1.50

#### Parameters

`text`

  Type: `const char*`

  The text for the run.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `int`

  The number of bytes (not characters) in `text`.

`analysis`

  Type: `PangoAnalysis`

  The analysis information return from `pango_itemize()`.

  The data is owned by the caller of the method.

`attrs`

  Type: `PangoLogAttr`

  `PangoLogAttr` array for `text`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`index_`

  Type: `int`

  The byte index within `text`.

`trailing`

  Type: `gboolean`

  Whether we should compute the result for the beginning (`FALSE`) or end (`TRUE`) of the character.

`x_pos`

  Type: `int*`

  Location to store result.

  The argument will be set by the function.
  The argument can be `NULL`.